[arch-commits] Commit in eclipse/repos (5 files)

Paul Mattal paul at archlinux.org
Wed Aug 6 10:27:35 EDT 2008


    Date: Wednesday, August 6, 2008 @ 10:27:35
  Author: paul
Revision: 8114

Merged revisions 7350-8112 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/eclipse/trunk

........
  r8112 | paul | 2008-08-06 10:27:17 -0400 (Wed, 06 Aug 2008) | 2 lines
  
  upgpkg: eclipse 3.4-3
      move eclipse back to /usr/share
........

Modified:
  eclipse/repos/extra-i686/	(properties)
  eclipse/repos/extra-i686/PKGBUILD
  eclipse/repos/extra-i686/eclipse.desktop
  eclipse/repos/extra-i686/eclipse.install
  eclipse/repos/extra-i686/eclipse.sh

-----------------+
 PKGBUILD        |   10 +++++-----
 eclipse.desktop |    4 ++--
 eclipse.install |    7 +------
 eclipse.sh      |    2 +-
 4 files changed, 9 insertions(+), 14 deletions(-)


Property changes on: eclipse/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /eclipse/trunk:1-7349
   + /eclipse/trunk:1-8112

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-08-06 14:27:22 UTC (rev 8113)
+++ extra-i686/PKGBUILD	2008-08-06 14:27:35 UTC (rev 8114)
@@ -5,7 +5,7 @@
 
 pkgname=eclipse
 pkgver=3.4
-pkgrel=2
+pkgrel=3
 pkgdesc="An IDE for Java and other languages"
 arch=('i686' 'x86_64')
 url="http://eclipse.org"
@@ -15,8 +15,8 @@
 provides=(eclipse)
 license="EPL/1.1"
 md5sums=(4f7183395f61f70711a1f244faf5d763
-         f08e49e6dad13dda8b2e4036b2a3f28c
-         0bee44d3b8839d6b217b6a5efb27407f
+         78db5f9dfd844288afd49e0f357dd539
+         5a908647b7a9c9bb4467a499ec68b2e2
          ee66a334bc443fd23ad9bc080dc6ea69)
 if [ "$CARCH" = "x86_64" ]; then
     _arch=-x86_64
@@ -37,8 +37,8 @@
   patch -p0 < ../eclipse.ini.patch || return 1
 
   # install eclipse
-  mkdir $startdir/pkg/opt || return 1
-  mv $startdir/src/eclipse $startdir/pkg/opt || return 1
+  mkdir -p $startdir/pkg/usr/share || return 1
+  mv $startdir/src/eclipse $startdir/pkg/usr/share || return 1
 
   # install misc
   mkdir -p $startdir/pkg/etc/profile.d $startdir/pkg/usr/share/applications \

Modified: extra-i686/eclipse.desktop
===================================================================
--- extra-i686/eclipse.desktop	2008-08-06 14:27:22 UTC (rev 8113)
+++ extra-i686/eclipse.desktop	2008-08-06 14:27:35 UTC (rev 8114)
@@ -1,8 +1,8 @@
 [Desktop Entry]
 Name=Eclipse
 Comment=A Java Development Environment
-Icon=/opt/eclipse/icon.xpm
-Exec=/opt/eclipse/eclipse
+Icon=/usr/share/eclipse/icon.xpm
+Exec=/usr/share/eclipse/eclipse
 Terminal=false
 Type=Application
 Categories=GNOME;Application;Development

Modified: extra-i686/eclipse.install
===================================================================
--- extra-i686/eclipse.install	2008-08-06 14:27:22 UTC (rev 8113)
+++ extra-i686/eclipse.install	2008-08-06 14:27:35 UTC (rev 8114)
@@ -10,14 +10,9 @@
 post_install() {
   # Prevent a bug, where eclipse hangs without this.
   # See http://aur.archlinux.org/packages.php?ID=12173
-  xulrunner --register-global
+  xulrunner --register-global >/dev/null 2>&1
 
   update-desktop-database >/dev/null 2>&1
-
-  echo <<EOF
-  To see how to use the included delta package for cross platform deployment,
-  follow http://mea-bloga.blogspot.com/2008/04/new-target-platform-preference.html
-EOF
 }
 
 # arg 1:  the new package version

Modified: extra-i686/eclipse.sh
===================================================================
--- extra-i686/eclipse.sh	2008-08-06 14:27:22 UTC (rev 8113)
+++ extra-i686/eclipse.sh	2008-08-06 14:27:35 UTC (rev 8114)
@@ -1,4 +1,4 @@
 #!/bin/bash
 
-export ECLIPSE_HOME=/opt/eclipse
+export ECLIPSE_HOME=/usr/share/eclipse
 export PATH=$PATH:$ECLIPSE_HOME




More information about the arch-commits mailing list